Skip to content
Search
Search the documentation
OAuthAuthorizeQuerySchema
GitHub GitHub

OAuthAuthorizeQuerySchema

Variable: OAuthAuthorizeQuerySchema

const OAuthAuthorizeQuerySchema: ZodMiniObject<{ client_id: ZodMiniString<string>; code_challenge: ZodMiniString<string>; code_challenge_method: ZodMiniLiteral<"S256">; platform: ZodMiniOptional<ZodMiniEnum<{ discord: "discord"; roblox: "roblox"; }>>; platform_id: ZodMiniOptional<ZodMiniString<string>>; project_id: ZodMiniOptional<ZodMiniString<string>>; redirect_uri: ZodMiniString<string>; response_type: ZodMiniLiteral<"code">; scope: ZodMiniString<string>; state: ZodMiniString<string>; }, $strip>

Defined in: v1/schemas/oauth.ts:39

Query parameters for sending a user to the Top.gg OAuth authorization page.

  • GET https://top.gg/oauth2/authorize

See

https://docs.top.gg/oauth/authorization